apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: hedgedoc
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "2"
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: http://gitea.gitea.svc.cluster.local:3000/admin/main.git
    targetRevision: master
    path: manifests/hedgedoc
    directory:
      recurse: true
      include: "*.yaml"
  destination:
    server: https://kubernetes.default.svc
    namespace: hedgedoc
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
